<script setup>
import WebviewPage from '@/components/WebviewPage.vue'

const product = ref('')
const webviewSrc = ref('') // 可以根据不同页面设置不同的值\

onLoad((option) => {
  console.log('option', option)
  if (option.p) {
    product.value = option.p
    webviewSrc.value = `http://192.168.1.124:5678/inquire/${product.value}`
  }
})
const navigationBarTitleText = '报告查询' // 同样可以根据需要修改
</script>

<template>
  <WebviewPage :webview-src="webviewSrc" :navigation-bar-title-text="navigationBarTitleText" />
</template>
